%define         git          
%define         gitdate      20160118
%define         major        7
%define         libname      %mklibname yui %{major}-mga
%define         develname    %mklibname -d yui-mga

Name:           libyui-mga
Version:        1.0.7
Release:        %mkrel 3
Summary:        UI abstraction library - Mageia extension widget base plugin
License:        LGPLv2+
Group:          System/Libraries
Url:            https://github.com/xquiet/libyui-mga
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:    png-devel
BuildRequires:    yui-devel
BuildRequires:    qt4-devel
BuildRequires:    cmake
BuildRequires:    boost-devel
BuildRequires:    doxygen
BuildRequires:    texlive
%if %mgaver > 3
BuildRequires:    texlive-dist
%endif
BuildRequires:    ghostscript
BuildRequires:    graphviz
Requires:         libyui
Requires:         python-qt4

%description
%{summary}

#-----------------------------------------------------------------------

%package -n %libname
Summary:        %{summary}
Group:          System/Libraries
Requires:       libyui
Provides:       %{name} = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with libyui-mga.

%files -n %libname
%doc COPYING*
%{_libdir}/libyui-mga.so.*


#-----------------------------------------------------------------------

%package -n %develname
Summary:        %{summary} header files
Group:          Development/C++
Requires:       libyui-devel
Requires:       %{name} = %{version}-%{release}


%description -n %develname
This package provides headers files for libyui-mga development.

%files -n %develname
%{_includedir}/yui
%{_libdir}/libyui-mga.so
%{_libdir}/pkgconfig/libyui-mga.pc
%{_libdir}/cmake/libyui-mga
%doc %{_docdir}/libyui-mga%{major}

#-----------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
./bootstrap.sh
mkdir build
cd build
cmake \
    -DYPREFIX=%{_prefix} \
    -DDOC_DIR=%{_docdir} \
    -DLIB_DIR=%{_lib}    \
    -DENABLE_DEBUG=1     \
    -DINSTALL_DOCS=yes   \
    -DENABLE_EXAMPLES=no \
    -DCMAKE_BUILD_TYPE=RELWITHDEBINFO ..

make docs

%install
%makeinstall_std -C build
find "%{buildroot}" -name "*.la" -delete


%changelog
* Sun Oct 09 2016 anaselli <anaselli> 1.0.7-3.mga6
+ Revision: 1059754
- rebuilt for new libyui

* Tue Jan 19 2016 anaselli <anaselli> 1.0.7-2.mga6
+ Revision: 925795
- release bumped

* Mon Jan 18 2016 anaselli <anaselli> 1.0.7-1.mga6
+ Revision: 925599
- disabling example by now
- new version 1.0.7

* Mon Oct 19 2015 anaselli <anaselli> 1.0.6-1.mga6
+ Revision: 892862
- new 1.0.6

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-4.mga5
+ Revision: 742517
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-3.mga5
+ Revision: 681913
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 anaselli <anaselli> 1.0.4-2.mga5
+ Revision: 616896
- rebuilt for new libyui

* Wed Apr 09 2014 anaselli <anaselli> 1.0.4-1.mga5
+ Revision: 613113
- New version 1.0.4

* Sun Mar 30 2014 anaselli <anaselli> 1.0.3-0.git20140329.2.mga5
+ Revision: 610487
- Added debug symbols

* Sun Mar 30 2014 anaselli <anaselli> 1.0.3-0.git20140329.1.mga5
+ Revision: 610339
- Fixed building
- new version 1.0.3

  + matteo <matteo>
    - imported package libyui-mga

